Debian Bug report logs - #662105
ITA: kismet -- 802.11 wireless network sniffer/IDS - core

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Nick Andrik <nick.andrik@gmail.com>

Date: Sun, 4 Mar 2012 05:24:01 UTC

Owned by: Nick Andrik <nick.andrik@gmail.com>

Severity: normal

Merged with 662107

Fixed in versions kismet/2011.03.R2-1~experimental1, kismet/2011.03.R2-1

Done: Nick Andrik <nick.andrik@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#662105; Package wnpp. (Sun, 04 Mar 2012 05:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Andrik <nick.andrik@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 04 Mar 2012 05:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: kismet -- 802.11 wireless network sniffer/IDS - core
Date: Sun, 04 Mar 2012 06:21:53 +0100
Package: wnpp
Severity: normal


kismet's current maintainer Francois Gurin <matrix@debian.org> seems to be MIA
sincce 2008. May I propose to orphan the package?

I would be also willing to adopt it, I have already prepared an update:
http://mentors.debian.net/package/kismet

What is the official procedure to follow?

Best regards,
Nick

The package description is:
 Kismet is an 802.11 layer2 wireless network detector, sniffer, and
 intrusion detection system.  It will work with any wireless card
 that supports raw monitoring (rfmon) mode and can sniff 802.11b,
 802.11a, and 802.11g traffic.
 .
 It can use festival to play audio alarms for network events,
 can speak out network summary on discovery, and optionally works with
 gpsd to map scanning.




Forcibly Merged 662105 662107. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sun, 04 Mar 2012 05:36:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 662105: 670176 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 07:48:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: kismet -- 802.11 wireless network sniffer/IDS - core' from 'O: kismet -- 802.11 wireless network sniffer/IDS - core' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 16:03:10 GMT) Full text and rfc822 format available.

Owner recorded as Nick Andrik <nick.andrik@gmail.com>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 16:03:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 26 Dec 2012 07:06:05 GMT) Full text and rfc822 format available.

Reply sent to Nick Andrik <nick.andrik@gmail.com>:
You have taken responsibility. (Wed, 13 Feb 2013 11:03:30 GMT) Full text and rfc822 format available.

Notification sent to Nick Andrik <nick.andrik@gmail.com>:
Bug acknowledged by developer. (Wed, 13 Feb 2013 11:03:30 GMT) Full text and rfc822 format available.

Message #20 received at 662105-close@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 662105-close@bugs.debian.org
Subject: Bug#662105: fixed in kismet 2011.03.R2-1~experimental1
Date: Wed, 13 Feb 2013 11:00:05 +0000
Source: kismet
Source-Version: 2011.03.R2-1~experimental1

We believe that the bug you reported is fixed in the latest version of
kismet, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662105@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nick Andrik <nick.andrik@gmail.com> (supplier of updated kismet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 26 Dec 2012 17:10:25 +0200
Source: kismet
Binary: kismet kismet-plugins
Architecture: source amd64
Version: 2011.03.R2-1~experimental1
Distribution: experimental
Urgency: low
Maintainer: Nick Andrik <nick.andrik@gmail.com>
Changed-By: Nick Andrik <nick.andrik@gmail.com>
Description: 
 kismet     - wireless sniffer and monitor - core
 kismet-plugins - wireless sniffer and monitor - plugins
Closes: 416106 455213 530111 534884 551994 551997 558773 563264 572593 662105 683709 693259 693708 693737 693836 693943 693955 694110 694787 695538 696253 696444
Changes: 
 kismet (2011.03.R2-1~experimental1) experimental; urgency=low
 .
   * New upstream release (Closes: #534884, #558773, #572593, LP: #407972)
 .
   * New maintainer (Closes: #662105)
   * Updated build dependencies in control file
   * The source package is split in two packages
     - Details documented in README.Debian (Closes: #416106)
     - Updated descriptions in control (Closes: #455213, LP: #70015)
   * Kismet no longer uses /var/{log,lib} folders. Removed mentions in postrm,
     kismet.dirs
   * Kismet allows for suid/priv dropping configured via debconf
     - Available debconf options are specified in the templates file
     - postinst creates the kismet user group if necessary and postrm removes
       it on package purge
   * Patches
     - Removed gcc-4.3 and wsp100_support patches since they are included
       upstream.
     - 50_fix_gpsmap_bashism: Fixes a bashism in multi-gpsmap example
       (Closes: #530111)
     - 60_support_for_libnl3: Add support to build using libnl-3
     - 70_fix_makefile: Fixes Makefile.inc.in to allow for passing compiler
       options to plugins build environment, useful for hardening
     - 80_fix_manpage: Fixes some minor issues in kismet manpage
   * kismet.1 manpage
     - Fixed spelling typos (Closes: #683709)
     - Removed blank lines that make mdoc complain (Closes: #551994)
     - Corrected date syntax (Closes: #551997)
     - Added links for kismet_client and kismet_server manpages pointing to the
       main manpage
   * Removed unnecessary link /etc/others-menu/0000_kismet.desktop
     (Closes: #563264)
   * Converted package to CDBS
     - Simplificaton of rules file
     - Added 3.0 (quilt) in source/format
   * Added hardening support
     - Specified debhelper version 9 in compat file
     - Added hardening options in rules file
       + Added explicit versioned dpkg-dev build dependency for dpkg-buildflags
     - Patched Makefile.inc.in to allow passing build options for plugins
     - lintian overrides for false positives in spectool_*.so plugins
   * Added full support for po-debconf
     - config and templates files
     - lintian override for suid install question
     - build dependency on po-debconf
     - po/POTFILES.in translation templates
     - translations include:
       + Japanese
       + Danish     (Closes: #693259)
       + Russian    (Closes: #693708, #696253)
       + Italian    (Closes: #693737)
       + German     (Closes: #693836)
       + Galician   (Closes: #693943)
       + French     (Closes: #693955)
       + Polish     (Closes: #694110)
       + Czech      (Closes: #694787)
       + Spanish    (Closes: #695538)
       + Portuguese (Closes: #696444)
   * Added RELEASENOTES.txt in docs
   * Updated the watch file
     - URL can now include versions after 2009
     - Mangling in order to use dots instead of dashes in the version
   * Copyright file
     - Updated in dep5 format
     - Extended packaging copyright
     - Extended source copyright
   * Package maintenance in control
     - Bumped standars version to 3.9.4
     - Added project homepage
Checksums-Sha1: 
 7a8b560174cf3b4ef42acda70c933e5bbbf3301f 2117 kismet_2011.03.R2-1~experimental1.dsc
 c01706b0441a3ea412386930bcbaf56187c66d27 924988 kismet_2011.03.R2.orig.tar.gz
 d251e135980c112c1ac82bf04616fcb9b7d1db86 28166 kismet_2011.03.R2-1~experimental1.debian.tar.gz
 af0512e7fc0e9ca14dfc00b21f241c4dc1a845e0 1906930 kismet_2011.03.R2-1~experimental1_amd64.deb
 ea3a0d365b94278b4a685febcfdb5bb60c2c22cc 212850 kismet-plugins_2011.03.R2-1~experimental1_amd64.deb
Checksums-Sha256: 
 75237fcd42fd31a7d380ca5327634b143e5c94b3eb95026cd801760b3a627537 2117 kismet_2011.03.R2-1~experimental1.dsc
 71a099fb724951cdd55c28e492432ca21657534c91a536c206f3e0a8686d2a64 924988 kismet_2011.03.R2.orig.tar.gz
 d6dfe69d99f58c469c34530e57d31170628c83bba0d236996fbfcc39292887d9 28166 kismet_2011.03.R2-1~experimental1.debian.tar.gz
 d5efd2a28618196214f251fb54099003343d0605b20765b2b14915a3d5efe4a4 1906930 kismet_2011.03.R2-1~experimental1_amd64.deb
 73bd1694d7d517ac7c349252b08458249d12a5a2e850c93e010aca488fa57216 212850 kismet-plugins_2011.03.R2-1~experimental1_amd64.deb
Files: 
 027bb0a9ae6a28eb81a0e75bc977108f 2117 net optional kismet_2011.03.R2-1~experimental1.dsc
 8bf077e8111e6dc8c12cadefdf40aadd 924988 net optional kismet_2011.03.R2.orig.tar.gz
 dba2966b96199b477a8b9e729d4a627c 28166 net optional kismet_2011.03.R2-1~experimental1.debian.tar.gz
 e70cfb1c3e8bcda745bfd9a24cf196c5 1906930 net optional kismet_2011.03.R2-1~experimental1_amd64.deb
 74ae19752b61f7ec3c570f554248f51e 212850 net optional kismet-plugins_2011.03.R2-1~experimental1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ2xbJAAoJEHQmOzf1tfkTgwMP/RH5WnDjSPuK0tS7+uv6aroB
jfuKPjHCYux0dt0NcnF1xpQHweyc096VMOZVyKkc7fi6e0JHNJqtOolIB94LB25Z
uIcsmjT2Er9YN5wZIe7Kw/JWHYHx59KR/Ulx5OLu+UEUICubgjbkpuPNB/DX0iIX
ML+TnP82UDdXhLGQxZKrCTtR9z6L6IRviuUPakHwffjlw3aobRKQtwRo6gq6aCks
Rw3/CCbuLq9VeQw2clHNwy713+aeEbSLKfnyhY5HL3C3dKNy6R3hNhfkM2fxhOV8
YqnMwXb9tRtIA3CEhELWfmaYnRetKIzrElSUdrBLO5cYqMPX4HpL6S3O9tKdZJ7g
ooyeRBslATYDQKE/+S+D3jgEcM7aJ9608HdtDSUFBeOSJp6cxGFOZelgIXNoCTdk
Bxib3Y44V639VI6wuSXkLFYhlmMyaenAZ9F5mxS/G/mqggFvvRIiZpJgkDokcW4R
DW6jXjVT4Bl7iX1Kcy+o1raCRwoDElnRrJzy/YOERNrRaCnOAuXFhz1DjOS1k3QM
RxvN3aOI8HFiJ770Ziefs2x1k0iPQdx8kHNwNGNK83FLL02NBM1utaASsIYBI7MX
rAe3nuIokomTRMrehn0XAsGsBapXI/1ft8otMLkt4oDI/73XbX278yiQ8TnjMZGr
lioXJL5moP8RlSgACv5Y
=kSOF
-----END PGP SIGNATURE-----




Reply sent to Nick Andrik <nick.andrik@gmail.com>:
You have taken responsibility. (Wed, 13 Feb 2013 11:03:31 GMT) Full text and rfc822 format available.

Notification sent to Nick Andrik <nick.andrik@gmail.com>:
Bug acknowledged by developer. (Wed, 13 Feb 2013 11:03:31 GMT) Full text and rfc822 format available.

Reply sent to Nick Andrik <nick.andrik@gmail.com>:
You have taken responsibility. (Sat, 23 Feb 2013 02:51:39 GMT) Full text and rfc822 format available.

Notification sent to Nick Andrik <nick.andrik@gmail.com>:
Bug acknowledged by developer. (Sat, 23 Feb 2013 02:51:39 GMT) Full text and rfc822 format available.

Message #29 received at 662105-close@bugs.debian.org (full text, mbox):

From: Nick Andrik <nick.andrik@gmail.com>
To: 662105-close@bugs.debian.org
Subject: Bug#662105: fixed in kismet 2011.03.R2-1
Date: Sat, 23 Feb 2013 02:48:52 +0000
Source: kismet
Source-Version: 2011.03.R2-1

We believe that the bug you reported is fixed in the latest version of
kismet, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662105@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nick Andrik <nick.andrik@gmail.com> (supplier of updated kismet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 23 Feb 2013 02:03:31 +0100
Source: kismet
Binary: kismet kismet-plugins
Architecture: source amd64
Version: 2011.03.R2-1
Distribution: unstable
Urgency: low
Maintainer: Nick Andrik <nick.andrik@gmail.com>
Changed-By: Nick Andrik <nick.andrik@gmail.com>
Description: 
 kismet     - wireless sniffer and monitor - core
 kismet-plugins - wireless sniffer and monitor - plugins
Closes: 416106 455213 530111 534884 551994 551997 558773 563264 572593 662105 683709 693259 693708 693737 693836 693943 693955 694110 694787 695538 696253 696444 697292
Changes: 
 kismet (2011.03.R2-1) unstable; urgency=low
 .
   * New upstream release (Closes: #534884, #558773, #572593, LP: #407972)
   * New maintainer (Closes: #662105)
   * Patches
     - Removed gcc-4.3 and wsp100_support patches since they are included
       upstream.
     - fix_gpsmap_bashism: Fixes a bashism in multi-gpsmap example
       (Closes: #530111)
     - support_for_libnl3: Add support to build using libnl-3
     - fix_makefile: Fixes Makefile.inc.in to allow for passing compiler
       options to plugins build environment, useful for hardening
     - fix_manpage: Fixes some minor issues in kismet manpage
     - support_kfreebsd: Add support for kfreebsd systems
   * Source package builts two binary packages
     - Details documented in README.Debian (Closes: #416106)
     - Updated descriptions in control (Closes: #455213, LP: #70015)
   * Kismet no longer uses /var/{log,lib} folders. Removed mentions in postrm,
     kismet.dirs
   * Allow support for non-linux systems
     - Make libnl-dev, libbluetooth-dev and libcap-dev build-deps relevant only
       for linux systems
     - Add support for kfreebsd build
   * kismet.1 manpage
     - Fixed spelling typos (Closes: #683709)
     - Removed blank lines that make mdoc complain (Closes: #551994)
     - Corrected date syntax (Closes: #551997)
     - Added links for kismet_client and kismet_server manpages pointing to the
       main manpage
     - Override lintian warning for lack of manpage for kismet_capture (it is
       not run by user anyway)
   * Removed unnecessary link /etc/others-menu/0000_kismet.desktop
     (Closes: #563264)
   * Converted package to CDBS
     - Simplificaton of rules file
     - Added 3.0 (quilt) in source/format
   * Added hardening support
     - Specified debhelper version 9 in compat file
     - Added hardening options in rules file
       + Added explicit versioned dpkg-dev build dependency for dpkg-buildflags
     - Patched Makefile.inc.in to allow passing build options for plugins
     - lintian overrides for false positives in spectool_*.so plugins
   * Kismet allows for suid/priv dropping configured via debconf
     - Available debconf options are specified in the templates file
     - postinst creates the kismet user group if necessary and postrm removes
       it on package purge
   * Added full support for po-debconf
     - config and templates files
     - lintian override for suid install question
     - build dependency on po-debconf
     - po/POTFILES.in translation templates
     - translations include:
       + Japanese
       + Danish     (Closes: #693259)
       + Russian    (Closes: #693708, #696253)
       + Italian    (Closes: #693737)
       + German     (Closes: #693836)
       + Galician   (Closes: #693943)
       + French     (Closes: #693955)
       + Polish     (Closes: #694110)
       + Czech      (Closes: #694787)
       + Spanish    (Closes: #695538)
       + Portuguese (Closes: #696444)
       + Swedish    (Closes: #697292)
   * Added RELEASENOTES.txt in docs
   * Updated the watch file
     - URL can now include versions after 2009
     - Mangling in order to use dots instead of dashes in the version
   * Copyright file
     - Updated in dep5 format
     - Extended packaging copyright
     - Extended source copyright
     - Updated license for tcpdump-extract.h file (BSD-4 clause instead of
       BSD-3 clause)
   * Package maintenance in control
     - Bumped standars version to 3.9.4
     - Added project homepage
     - Dropped unnecessary build-deps
Checksums-Sha1: 
 8cd88ecc56de9523af11d05230068133cb26d44c 2097 kismet_2011.03.R2-1.dsc
 c01706b0441a3ea412386930bcbaf56187c66d27 924988 kismet_2011.03.R2.orig.tar.gz
 63726591047c8740c1b09aa1e4987a1b039c1aaf 49329 kismet_2011.03.R2-1.debian.tar.gz
 063b30c9c81ef907c341ef3860e0b7d0f5f04190 1907862 kismet_2011.03.R2-1_amd64.deb
 6b368cf960f5c87b27b0972b6d08dba270e9c566 213000 kismet-plugins_2011.03.R2-1_amd64.deb
Checksums-Sha256: 
 8d3ae2b678f6a918c355b7738cb6dad11f5851fdb9fedd69bbafd6b9840da990 2097 kismet_2011.03.R2-1.dsc
 71a099fb724951cdd55c28e492432ca21657534c91a536c206f3e0a8686d2a64 924988 kismet_2011.03.R2.orig.tar.gz
 e91511345989a2a308c5df33c1067abfc669760d687780d460a14b55da054327 49329 kismet_2011.03.R2-1.debian.tar.gz
 669ebd5bc2e4d6ae224b94a80a11ced2b9fda3106ec4d33bb0234bed4d28e705 1907862 kismet_2011.03.R2-1_amd64.deb
 6bc9d996f28c3e4d12b00bad9c3f1f1f1fc8fdc8585e867efd17beb24e111e78 213000 kismet-plugins_2011.03.R2-1_amd64.deb
Files: 
 b9f9616a8dce5e540a4b63dbc3eac853 2097 net optional kismet_2011.03.R2-1.dsc
 8bf077e8111e6dc8c12cadefdf40aadd 924988 net optional kismet_2011.03.R2.orig.tar.gz
 3fee8c8c091d578ecb44bbb2319be12d 49329 net optional kismet_2011.03.R2-1.debian.tar.gz
 79d04ea522ac5ab998ba5f71dd6b5dd2 1907862 net optional kismet_2011.03.R2-1_amd64.deb
 f8f69b01fc96866e212ec3250365fef6 213000 net optional kismet-plugins_2011.03.R2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRKCCjAAoJEHQmOzf1tfkT3aoQAJwaPGIIu4ngbFEqmuLV+FSf
PnbMPhK2e3oi6UFBoi4OYXEtqQEgrtgyli16TXn5WDE5es9h9PbsGHcs2KB+DhHT
Y9FGHt8W6RyWiSK0RSPtk358/rqX+tg+6jWQ4wkT9bNQjwgn8eerh0E0gDRlXPQ1
Tf6kiHWMWg0CvgAm7/JhzA7Nc4TR4WrYXDm7M/ztthquHad+T3CnCRgBT9ZkAsnC
2fAW7DJpUFtz8p330rRRvX9iBtZebo1xDOhvVTSls7l7FGNJ4EZskmglGemyfD1c
bXPUVAiwXEzS/80dKOpyDr/xDWCSmEWNW8A4/Rp6zxAyObbtkJm7hof3pjgThbt/
9XZXdBZL1kuxp30uv05KPRH78cbHcL1DsU+1tZnCfDzX81dDvWskukCx+lxxHGT6
i8+UaeS6qjnmj+HMBivSJ8QaoxLdy7oA/+HuKrBB6EGNx8LAl4/8aEdC4WROxmtO
Xl9ObqT8Ek/R21udVGdGyjQh7wQ3mc5JJjmilj1HH+JWb70QPvUlnakquh60ra1q
M4t61a4MRmcoOAafAyO3v/0AC+NNHLoi4wU2pWJX4aOYHVqScXZnMLAv0aAn2zkx
X4rcVrDcxSBTmjYobqvlamPmj3QWnozVl9C5w1TQZq6ouCylDkm63UlwYIvApUEt
wO31jyktdyPcCutxv0Fg
=yd4y
-----END PGP SIGNATURE-----




Reply sent to Nick Andrik <nick.andrik@gmail.com>:
You have taken responsibility. (Sat, 23 Feb 2013 02:51:40 GMT) Full text and rfc822 format available.

Notification sent to Nick Andrik <nick.andrik@gmail.com>:
Bug acknowledged by developer. (Sat, 23 Feb 2013 02:51:40 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Mar 2013 07:25:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:57:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.